+++
title = "PyBay 2018 San Francisco"
description = "Highlights of PyBay 2018 conference a Python event based in the San Francisco Bay Area California"
date = 2018-10-25T18:30:40-07:00

[taxonomies]
tags = ["python", "conference"]

[extra]
social_media_card = "PyBay_2018_Start.png"
toc = true
keywords = ["python", "pybay", "sfpython", "pycon", "san francisco", "bay area", "california", "conference"]
+++

![PyBay 2018](PyBay_2018_Start.png)

As you read in my [last blog](https://www.softinio.com/post/life-changes-and-announcing-sfbayareatech/)
I was lucky enough to finally move to the bay area. If you know me you will
know that I am passionate about Scala and Python. To me being a master of these
two language and functional programming I can rule the world. So it goes
without saying that as soon as I arrived one of the first things I did was to
become an active member of the San Francisco Python community and attended my very
first PyBay 2018.

# Day one of PyBay 2018 #
PyBay 2018 was held at the [Mission Bay Conference Center at the UCSF](http://www.acc-missionbayconferencecenter.com/) I arrived after work in time for the opening keynote by [Rachel Thomas](https://www.linkedin.com/in/rachel-thomas-942a7923/) of [fast.ai](http://course.fast.ai/index.html)

## Some healthy principles about ethics & bias in AI (Rachel Thomas)

Rachel Thomas is the co-founder of fast.ai and a Professor of Data Science at
UCSF. Working on an AI product myself I really enjoyed this keynote as it got
me to think beyond just meeting the MVP of the product I am helping design and
build. My biggest take aways from her talk were:

- What happens when an algorithm makes a decision for someone that impacts
  their life in a very negative way. For example what if an Algorithm decides
  whether you get health insurance or not with no empathy taken into account.

- AI and algorithms can be used to increase bureaucracy by shifting
  responsability and blame. Imagine working for a large health insurance
  company and turning down your friends mother for coverage and when asked why
  you say sorry our algorithm made the decision not my fault. Having empathy
  and emotion and taking into account the consequence of your decision does
  matter so designing algorithms powering your AI you need to always remember
  that and take into account.

- Machines can be used to predict the future and can be biased
- Software is used to make *Life changing* decisions
- We have a responsability to think about our whole system and how it impacts peoples lives

### Some Misconceptions

- Us engineers are only responsible for our code and not our software does and how it impacts people
- Algorithms and humans are the same so no appeals process needed
- Regulating the tech industry is hard
- Our job in tech is to optimize metrics and respond to consumer demand

### Principles we should have when working in the AI space

- Be responsible for the whole system and how it impacts people
- Work with domain experts
- Leverage strengths of humans and computers
- Regulation is possible and should be looked upon in a positive light

### Useful resources to help you make the right decisions
- [Weapons of Math Destruction](https://www.amazon.com/Weapons-Math-Destruction-Increases-Inequality/dp/0553418831)
- [Datasheets for datasets](https://arxiv.org/abs/1803.09010)

![Salar Rahmanian meets Rachel Thomas after keynote at PyBay 2018](Rachel_Thomas_PyBay_2018.png)

# Day two of PyBay 2018
Day got on the way with a keynote by [Raymond Hettinger](https://twitter.com/raymondh) a Python Core developer based here in the bay area. 

## Testing and Debugging on a time budget (Raymond Hettinger)

In his keynote we were given an overview of all the different testing tools available to us as Python developers that we can use to produce quality code and debug our work. He talked positively about my two favorite testing tools in the Python world which are [Pytest](https://docs.pytest.org/en/latest/) and [Hypothesis](https://hypothesis.readthedocs.io/en/latest/)

![Raymond Hettinger at PyBay 2018](Raymond_Hettinger_PyBay_2018.jpg)

## Asyncio: What's next (Yuri Selivanov)

The next talk on day 2 that stood out for me was [Yuri Selivanov](https://www.linkedin.com/in/yselivanov/) the Python core developer behind asyncio and the uvloop library which enables us to develop high performance Python applications. I enjoyed listening to his update on where we are with asyncio and whats coming next. Yuri also drew comparisons to the new [Trio Async Libray](https://github.com/python-trio/trio) by our very own [Nathaniel J Smith](https://vorpus.org/). I am super excited about the direction and options we have here and look forward to using them in my projects. 

![Yuri Selivanov at PyBay 2018](Yuri_Selivanov_PyBay_2018.jpg)

# Day three of PyBay 2018
The final day of PyBay 2018 kicked off with a Keynote by the one and only [Travis Olaphant](https://www.linkedin.com/in/teoliphant/) the founder/creator of [Anaconda](https://www.anaconda.com/)

## State of AI / ML in Python (Travis Olaphant)

In this keynote we were taken through the journey of what has made Python such a great eco system for Data Science. Funny enough most of the tools that we use Travis Oliphant has had a hand in making it available to us all such as NumPy and SciPy. It was a real pleasure meeting him in person.

![Salar Rahmanian meeting Travis Olaphant at PyBay 2018](Travis_Olaphant_PyBay_2018.jpg)
![Final Day Keynote by Travis Olaphant at PyBay 2018](Travis_Olaphant_Keynote_PyBay2018.JPG)

# Lightening talks at PyBay 2018
One of the more fun aspects of PyBay was the lightening talks. Everyday of the conference there was a slot for doing a 5 minute lightening talk. One of the speakers that was planned for the third day of the conference dropped out so the organizers turned that hour into an extra lightening talk hour. They were looking for volunteers to do a lightening talk unplanned on short notice and for better or worse I volunteered and did a super fast lightening talk on using [pyenv](https://www.softinio.com/post/using-pyenv-for-python-projects/) fast forward to 5:22 to see my lightening talk:

{{ youtube(id="KqqMSB0eyhk") }}

# Thank you PyBay 2018
What made the event even more fun for me was that [Mya](https://hiremya.com/) was one of the sponsors so got the chance to enjoy the conference with my esteemed colleagues and found it incredibly fun to talk to everyone at the conference on the problems we are solving at Mya using Python.

![Mya team at PyBay 2018](Mya_team_PyBay_2018.jpg)

A Huge thank you to the organizers of PyBay 2018 for putting such a great event together. Lets not forget that PyBay is organized by a group of volunteers so their effort to put such a great event together was outstanding. Especially I would like to thank [Grace Law](https://www.linkedin.com/in/gracelaw1972/), [Simeon Franklin](https://www.linkedin.com/in/simeonfranklin/), [Daniel Pyrathon](https://www.linkedin.com/in/danielpyrathon/), [Paul Starrett](https://www.linkedin.com/in/paul-starrett-esq-ll-m-cfe-ence-251325/), and [Nick DiRienzo](https://www.linkedin.com/in/nickdirienzo/)

![PyBay 2018 Crew](PyBay2018Crew.jpeg)
