+++
title = "Resume"
description = "Salar Rahmanian Resume"
date = "2018-04-16T09:16:07-05:00"

[extra]
isso = false
keywords = ["Salar", "Rahmanian", "Salar Rahmanian", "Resume", "CV"]
+++
# Salar Rahmanian #
## My Location ##
San Francisco Bay Area, California

## Profile ##
I have been developing software since the age of eleven. 

I have extensive experience:

- *Programming in:* Java, Scala and Python
- *Databases:* Oracle, Postgresql, MySQL, IBM DB2
- *Frameworks:* Spring and Hibernate (Java), Akka / Akka-http (Scala), Django (Python), Flask (Python)
- *OS:* NixOS, Linux, Unix (Solaris, Aix)
- *Other:* Apache Spark (Databricks), Redis, Kafka, RabbitMQ, Apache Nifi

## Domain Experience ##
- Healthcare
- Building data pipelines
- Building High Volume Billing platforms (In particular interconnect billing for cell phone providers)
- Extensive domain knowledge of the job posting and matching and shift scheduling

## Experience ##
### Staff Software Engineer, Collective Health: 2020-present ###

So far my work has involved:

- Building Data pipelines using Databricks, Apache Spark, Airflow and Python
- Building Microservices and REST API's using Java, Spring, Dropwizard
- Kubernetes, AWS, PostgreSQL
- Design and Architecture of new features

### Staff Software Engineer, Mya Systems: 2018-2020 ###
Worked on Building an AI recruiter assistant.

My accomplishments at Mya:

- Scaled our platforms conversations with our AI assistant to be asynchronous and queue/streaming driven
- Integration of Mya's platform with several external ATS's most notably this included Workday, Bullhorn, Paychex/MyStaffing Pro and Textkernel.
- Building new microservices and adding features to Mya existing platform using Python, Django, Flask, Celery, Redis (Including Redis Streams) and Postgresql. This included building REST Services. 

### Senior Principal Engineer, Snagajob: 2016-2018 ###
I built a new data ingestion pipeline to ingest high volume of job postings received from multiple sources and partners. I built this using Scala, akka, akka-http, Play Framework, Kafka and Apache Nifi. I also setup a Kubernetes cluster running on AWS which was used for this new ingestion pipeline. I was responsible for introducing all these wonderful technologies to Snagajob.

Other projects I was involved in at Snagajob involved me creating micro services and REST api’s using Python, Flask, Celery.

### Senior Full Stack Software Engineer, Trackmaven: 2015-2016 ###
Enhanced Trackmaven’s competitive intelligence platform by creating new services using Python, Flask, Django, Elasticsearch and PostgreSQL. Created a new UI Dashboard used by customers to track marketing campaign performance versus their competitor using Angular.

### Senior Software Engineer, Accenture Federal Services: 2014-2015 ###
I worked on the modernization of the Dept of Veteran Affairs eHmp health care system. I was the technical lead of a team of 10 responsible for the development of the platforms sync system. This was a distributed system used to sync patient records across all hospitals. The main stack I used for development was Java, Spring, Dropwizard and Node.js.

### Chief Technology Officer, Healthy Choices At Work: 2012-2014 ###
I was a hands on CTO and Engineer at this startup. I architected and developed a custom CRM system for the business. This provided a full end to end solution which allowed customers to sign up for the service and manage their own accounts. On the business side it provided the means to run the business by providing the delivery scheduling of the orders and the billing and invoicing management of customers.

The stack used for this was Python, Django, Postgresql and Elasticsearch. For payments our system integrated with Stripe APIs. 

### Principal Software Engineer, Incito Networks LLC: 2009-2013 ###
Worked as a freelance software developer developing custom apps for local small businesses and entrepreneurs. Worked on several software development projects which included me using: 

- Java, Spring
- Python, Django
- I developed two IOS apps for clients using Objective C 

### Principal Software Engineer, Powermax Computing Ltd: 1998-2009 ###
If you have worked in the UK as an experienced software developer, you realize that the best jobs from all angles are contract / consultant positions. So during this period whilst living in London UK i worked for many well known companies on the biggest projects as a Principal Software Engineer. In the early years my work solely involved coding using  C Programming on a Unix Platform (such as Solaris and AIX) with an Oracle Database backend (included Pro*C and PL/SQL). 

In the more later years my coding was mostly done using Java, Spring, Hibernate and Oracle again as the database backend.

The companies I worked for included: O2, IBM, Oracle, National Car Rental.

### Education ###
- King’s College, University of London — *BEng(Hons)* in Electronic and Electrical Engineering, Graduated in 1992
- École Polytechnique Fédérale de Lausanne on Coursera — [Functional Programming Principles in Scala](https://www.coursera.org/account/accomplishments/verify/H5W964KAJ73Y)

### Projects ###

I contribute to various Scala open source projects. Most notabiliy to Scala [ZIO](https://zio.dev/) library and group of projects. My main focus and contribution is working on and leading the [ZIO-Actors](https://zio.github.io/zio-actors/) library. A high performance, purely-functional library for building and supervising typed actors backed by ZIO. A Fresh approach to implementing the actor model.

I am also working on and leading [ZIO-Zmx](https://github.com/zio/zio-zmx) a new project that is a work in progress providing monitoring and metrics of ZIO fibers.

You can find more of my projects on my [GitHub](https://github.com/softinio?tab=repositories) and my personal [git forge](http://git.softinio.com).

### Other Accomplishments ###

I have a passion to learn and network with like minded people with similar interests in technology. Hence I am very active in the conference, meetup and open source communities:

#### Past Meetups ####

##### Silicon Valley Nix / NixOS User Group #####

Organizer from *2022* to *2023*: <https://www.meetup.com/silicon-valley-nix-nixos-user-group/>

##### Swift Language User Group (San Francisco) #####

Organizer from *2022* to *2023*: <https://www.meetup.com/swift-language/>

##### Bay Area Haskell & Functional Programming User Group #####

Organizer from *2021* to *2023*: <https://www.meetup.com/bay-area-haskell-user-group/>

##### San Francisco Java User Group Meetup #####

Organizer from *June 2020* to *April 2021*: <http://sfjava.org/>

##### San Francisco Scala Meetup #####

Organizer from *June 2018* to *April 2021*: <http://sfscala.org/>

##### Elastic San Francisco User group #####

Organizer from *November 2017* to *April 2021*: <https://www.meetup.com/Elasticsearch-San-Francisco/>

##### Bay area AI meetup #####

Organizer from *January 2020* to *April 2021*: <https://www.meetup.com/bay-area-ai/>

##### GraphQL By the Bay meetup #####

Organizer from *April 2019* to *April 2021*: <https://www.meetup.com/graphql-by-the-bay>

##### Scala DC Meetup #####

Organizer from *October 2016* to *February 2018*: <https://www.meetup.com/dc-scala/>

